=== debian/changelog ===
stress-ng (0.07.28-1ubuntu1) zesty; urgency=medium

  * Fix vm stressor random errors caused by bug in reseeding (LP: #1681503)
    - on a reseed, the number generator for 8 and 16 bit values was not
      flushing internal state causing mwc8() and mwc16() returning bogus
      values.

 -- Colin King <colin.king@canonical.com>  Tue, 11 Apr 2017 10:27:11 +0100

stress-ng (0.07.28-1) unstable; urgency=medium

  * Makefile: bump version
  * shim: voidify flags argument to shim_mlockall
  * stress-mlock: forgot to use shim_mlockall rather than mlockall
  * stress-mlock: use munlockall/mlockall shims, rename mlock_shim to do_mlock
  * shim: add shims for mlockall and munlock all
  * mwc: optimize 8 and 16 bit mwc functions (LP: #1677645)
  * stress-ng.h: remove unused macro STRESS_IONICE
  * Clean up some formatting of macros and long lines
  * rename type stress_op to stress_op_t
  * rename type stress_id  to stress_id_t
  * stress-ng.h: rename type stress_func to stress_func_t
  * stress-cpu: verify idct method more efficiently
  * Add autoconfig test for 64 byte alignment too
  * Fix test for 64K alignment (instead of 64 byte)
  * Makefile: add missing .PHONY and correct spelling of .PHONEY
  * Add autodetection for 64 byte alignment of functions (LP: #1676834)
  * stress-rmap: use shim fallocated rather than posix_fallocate
  * Makefile: no need to make configuration when making pdf

 -- Colin King <colin.king@canonical.com>  Thu, 30 Mar 2017 17:26:17 +0100

stress-ng (0.07.27-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: Add TODO list to make dist rule
  * manual: update date
  * stress-pty: don't conditionally build out stress_set_pty_max
  * Update TODO list
  * stress-memfd: use correct printf format specifier for uint64_t type
  * stress-chdir, stress-dir: remove unused static flags
  * stress-socket-fd: remove unused macro MAX_FDS
  * stress-memfd: fix comment
  * stress-chdir: correct the chdir-dirs option name
  * stress-chdir: set default to correct DEFAULT_CHDIR_DIRS
  * Add missing control for 4 stressors: (LP: #1676419)
  * - Add --pty-max option to specify max number of ptys to try to open
  * - Add --memfd-fds option to specify the number of memory file descriptors
  * - Add --dir-dirs option to specify number of directories to stress on
  * - Add --chdir-dirs option to specify number of directories
  * log: add some more comments
  * ignite-cpu: add some more minor comments
  * helper: add some more comments
  * stress-ng: add some more comments
  * stress-ng: remove some blank lines
  * mlock: remove const from m_addr_start to fix clang warning
  * stress-fanotify: remove const from metadata declaration
  * stress-cpu: remove unnecessary packed attribute on a union
  * rename optarg args to opt as these shadow the global oparg variable
  * fix up incorrect args to various stressors
  * net: make stress_set_sockaddr_port net_addr const
  * Minor layout re-formatting of long_options table
  * stress-ng: Set per stressor default settings using stressor_set_defaults
  * Manual: update copyright year
  * Add TODO list
  * stress-chroot: fix typo, ENODIR -> ENOTDIR
  * stress-vecmath: remove -O3 optimisation as this breaks gcc on ppc64el
  * Remove PEDANTIC=1 from makefile

 -- Colin King <colin.king@canonical.com>  Mon, 27 Mar 2017 13:49:11 +0000

stress-ng (0.07.26-1) unstable; urgency=medium

  * Makefile: bump version
  * fast-test-all: revert back to maximum of 4 stressors
  * stress-zero: disable write to /dev/zero for minix
  * shim: fix build error and warnings on Minix builds
  * stress-fstat: allow threadless builds for systems without pthreads
  * stress-ng: fix cppcheck style warnings: reduce scope of variables i and j
  * stress-fstat: reduce scope of variable fd
  * stress-zlib: clean up cppcheck style warnings
  * stress-stackmmap: clean up cppcheck style warning
  * stress-bind-mount: use args_t wrapper for clone to fix warning
  * Wrap const *args_t to pass non const void * arg to pthread_create
  * stress-tmpfs: constify array mmap_flags[]
  * stress-shm-sysv: constify array shm_flags[]
  * stress-opcode: constify static array sigs[]
  * stress-mmap: constify mmap_flags
  * stress-af-alg: constify static data structures
  * test-asm-nop: add copyright boiler plate message
  * Make default cache size information debug only
  * thrash: add some function comments
  * shim: add more comments
  * Use the mincore shim to hide BSD/linux 3rd argument differences
  * Add shim for mincore(2)
  * shim: madvise: map madvise advice to posix_madvise advice
  * stressors: use shim_madvise rather than madvise
  * Add shim for madvise(2)
  * stress-fp-error: check for EDOM, ERANGE (LP: #1674000)
  * Make FORCE_DO_NOTHING build in a nop before other ways of doing nothing
  * stress-matrix: align matrices to 64 bytes to reduce cache stalls
  * stress-matrix: use restrict on arrays for more compute
  * stress-icache: add missing support for PPC64
  * Add ppc64 arch to defined STRESS arch types
  * stress-icache: add missing support for IBM s390
  * Add s390 arch to defined STRESS arch types
  * stress-icache: don't build in 64K page support for ARMEL
  * Makefile: replace 'got' with 'using' in autoconfiguration text
  * stress-getrandom: check for EINTR failures (from SIGALRM)
  * Makefile: generate apparmor raw binary data silently
  * Explicitly call pr_closelog() and flush pending output (Closes: #857942)

 -- Colin King <colin.king@canonical.com>  Mon, 20 Mar 2017 10:32:35 +0000

stress-ng (0.07.25-1) unstable; urgency=medium

  * Makefile: bump version
  * helper: avoid calling sched_cpu on ppc64le
  * Makefile: remove NOTPARALLEL, it's not helpful
  * fast-test-all: remove xattr as it can break some file systems
  * Makefile: don't autoconfig if we are making dist clean or install
  * stress-mlock: add in const to void when calling mlock
  * stress-icache: unconstify page_addr to clean up build warnings

