## stress-ng 0.08.16

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.07.28
-#
-# Codename "systematic stress inducer"
+VERSION=0.08.16
+#
+# Codename "harmful hardware harasser"
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
@@ -38,10 +38,12 @@
 #
 ifeq ($(STATIC),1)
 LDFLAGS += -static
+CFLAGS += -DBUILD_STATIC
 endif
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
+JOBDIR=/usr/share/stress-ng/example-jobs
 
 #
 #  Stressors
@@ -55,6 +57,7 @@
 	stress-atomic.c \
 	stress-bigheap.c \
 	stress-bind-mount.c \
+	stress-branch.c \
 	stress-brk.c \
 	stress-bsearch.c \
 	stress-cache.c \
@@ -70,9 +73,11 @@
 	stress-cpu.c \
 	stress-cpu-online.c \
 	stress-crypt.c \
+	stress-cyclic.c \
 	stress-daemon.c \
 	stress-dccp.c \
 	stress-dentry.c \
+	stress-dev.c \
 	stress-dir.c \
 	stress-dirdeep.c \
 	stress-dnotify.c \
@@ -102,6 +107,7 @@
 	stress-hsearch.c \
 	stress-icache.c \
 	stress-icmp-flood.c \
+	stress-inode-flags.c \
 	stress-inotify.c \
 	stress-iomix.c \
 	stress-ioprio.c \
@@ -125,6 +131,8 @@
 	stress-membarrier.c \
 	stress-memcpy.c \
 	stress-memfd.c \
+	stress-memrate.c \
+	stress-memthrash.c \
 	stress-mergesort.c \
 	stress-mincore.c \
 	stress-mknod.c \
@@ -136,6 +144,7 @@
 	stress-msg.c \
 	stress-msync.c \
 	stress-mq.c \
+	stress-netdev.c \
 	stress-netlink-proc.c \
 	stress-nice.c \
 	stress-nop.c \
@@ -153,6 +162,7 @@
 	stress-pty.c \
 	stress-quota.c \
 	stress-qsort.c \
+	stress-radixsort.c \
 	stress-rdrand.c \
 	stress-readahead.c \
 	stress-remap-file-pages.c \
@@ -179,14 +189,17 @@
 	stress-sigq.c \
 	stress-sleep.c \
 	stress-socket.c \
+	stress-socket-diag.c \
 	stress-socket-fd.c \
 	stress-socketpair.c \
+	stress-softlockup.c \
 	stress-spawn.c \
 	stress-splice.c \
 	stress-stack.c \
 	stress-stackmmap.c \
 	stress-str.c \
 	stress-stream.c \
+	stress-swap.c \
 	stress-switch.c \
 	stress-sync-file.c \
 	stress-sysinfo.c \
@@ -226,6 +239,7 @@
 	helper.c \
 	ignite-cpu.c \
 	io-priority.c \
+	job.c \
 	limit.c \
 	log.c \
 	madvise.c \
@@ -239,6 +253,7 @@
 	parse-opts.c \
 	perf.c \
 	sched.c \
+	setting.c \
 	shim.c \
 	thermal-zone.c \
 	time.c \
@@ -263,7 +278,10 @@
 	 HAVE_LIB_Z=0 HAVE_LIB_CRYPT=0 HAVE_LIB_RT=0 HAVE_LIB_PTHREAD=0 \
 	 HAVE_FLOAT_DECIMAL=0 HAVE_SECCOMP_H=0 HAVE_LIB_AIO=0 HAVE_SYS_CAP_H=0 \
 	 HAVE_VECMATH=0 HAVE_ATOMIC=0 HAVE_LIB_SCTP=0 HAVE_ASM_NOP=0 \
-	 HAVE_ALIGNED_64K=0 HAVE_ALIGNED_64=0
+	 HAVE_ALIGNED_64K=0 HAVE_ALIGNED_64=0 HAVE_ALIGNED_128=0 \
+	 HAVE_AFFINITY=0 HAVE_MADVISE=0 HAVE_SEM_POSIX=0 HAVE_SEM_SYSV=0 \
+	 HAVE_MQ_POSIX=0 HAVE_MQ_SYSV=0 HAVE_SHM_SYSV=0 HAVE_FANOTIFY=0 \
+	 HAVE_INOTIFY=0 HAVE_SOCK_DIAG_H=0
 
 #
 #  Load in current config; use 'make clean' to clear this
@@ -401,6 +419,14 @@
 endif
 endif
 
+ifndef $(HAVE_SOCK_DIAG_H)
+HAVE_SOCK_DIAG_H = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_sock_diag_h)
+ifeq ($(HAVE_SOCK_DIAG_H),1)
+	CONFIG_CFLAGS += -DHAVE_SOCK_DIAG_H
+$(info autoconfig: using linux/sock_diag.h)
+endif
+endif
+
 ifndef $(HAVE_FLOAT_DECIMAL)
 HAVE_FLOAT_DECIMAL = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_float_decimal)
 ifeq ($(HAVE_FLOAT_DECIMAL),1)
@@ -441,6 +467,14 @@
 endif
 endif
 
+ifndef $(HAVE_ALIGNED_128)
+HAVE_ALIGNED_128 = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_aligned_128)
+ifeq ($(HAVE_ALIGNED_128),1)
+	CONFIG_CFLAGS += -DHAVE_ALIGNED_128
+$(info autoconfig: using 128 byte alignment attribute)
+endif
+endif
+
 ifndef $(HAVE_ALIGNED_64K)
 HAVE_ALIGNED_64K = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_aligned_64K)
 ifeq ($(HAVE_ALIGNED_64K),1)
@@ -449,81 +483,28 @@
 endif
 endif
 
-endif
-endif
-
-
-.SUFFIXES: .c .o
-
-.o: stress-ng.h Makefile
-
-.c.o: stress-ng.h Makefile $(SRC)
-	@echo $(CC) $(CFLAGS) -c -o $@ $<
-	@$(CC) $(CFLAGS) -c -o $@ $<
-
-stress-ng: save_config $(OBJS)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -lc -o $@
-
-#
-#  save configuration
-#
-.PHONY: save_config
-save_config:
-	@echo $(foreach h,$(HAVE_VARS),$h=$($(h))) | tr ' ' '\n' > config
-	@echo CONFIG_CFLAGS=$(CONFIG_CFLAGS) >> config
-	@echo CONFIG_LDFLAGS=$(CONFIG_LDFLAGS) >> config
-	@echo CONFIG_OBJS=$(CONFIG_OBJS) >> config
-	@echo HAVE_CONFIG=1 >> config
-
-#
-#  check if we can build against AppArmor
-#
-.PHONY: have_apparmor
-have_apparmor:
-	@$(CC) $(CPPFLAGS) test-apparmor.c $(LIB_APPARMOR) -o test-apparmor 2> /dev/null || true
-	@if [ -f test-apparmor ]; then \
-		if [ -x "$(APPARMOR_PARSER)" ]; then \
-			echo 1 ;\
-		else \
-			echo 0 ;\
-		fi \
-	else \
-		echo 0 ;\
-	fi
-	@rm -f test-apparmor
-
-#
-#  check if we have keyutils.h
-#
-.PHONY: have_keyutils_h
-have_keyutils_h:
-	@echo "#include <sys/types.h>" > test-key.c
-	@echo "#include <keyutils.h>" >> test-key.c
-	@$(CC) $(CPPFLAGS) -c -o test-key.o test-key.c 2> /dev/null || true
-	@if [ -f test-key.o ]; then \
-		echo 1 ;\
-	else \
-		echo 0 ;\
-	fi
-	@rm -f test-key.c test-key.o
-
-#
-#  check if we have xattr.h
-#
-.PHONY: have_xattr_h
-have_xattr_h:
-	@echo "#include <sys/types.h>" > test-xattr.c
-	@echo "#include <attr/xattr.h>" >> test-xattr.c
-	@$(CC) $(CPPFLAGS) -c -o test-xattr.o test-xattr.c 2> /dev/null || true
-	@if [ -f test-xattr.o ]; then \
-		echo 1 ;\
-	else \
-		echo 0 ;\
-	fi
-	@rm -f test-xattr.c test-xattr.o
-
-#
-#  check if we can build against libbsd
-#
-.PHONY: have_lib_bsd
-have_lib_bsd:
+ifndef $(HAVE_AFFINITY)
+HAVE_AFFINITY = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_affinity)
+ifeq ($(HAVE_AFFINITY),1)
+	CONFIG_CFLAGS += -DHAVE_AFFINITY
+$(info autoconfig: using sched affinity CPU masks)
+endif
+endif
+
+ifndef $(HAVE_MADVISE)
+HAVE_MADVISE = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_madvise)
+ifeq ($(HAVE_MADVISE),1)
+	CONFIG_CFLAGS += -DHAVE_MADVISE
+$(info autoconfig: using madvise)
+endif
+endif
+
+ifndef $(HAVE_SEM_POSIX)
+HAVE_SEM_POSIX = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_sem_posix)
+ifeq ($(HAVE_SEM_POSIX),1)
+	CONFIG_CFLAGS += -DHAVE_SEM_POSIX
+$(info autoconfig: using POSIX semaphores)
+endif
+endif
+
+ifndef $(HAVE_SEM_SYSV)
