=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: stress-ng
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 9), zlib1g-dev, libbsd-dev, libattr1-dev, libgcrypt20-dev, libkeyutils-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libapparmor-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], apparmor [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libaio-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libcap-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Homepage: http://kernel.ubuntu.com/~cking/stress-ng
